## org.eclipse.uml2.uml
Interface RedefinableTemplateSignature

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement, TemplateSignature

    public interface RedefinableTemplateSignature

extends RedefinableElement, TemplateSignature

A representation of the model object 'Redefinable Template Signature'. A redefinable template signature supports the addition of formal template parameters in a specialization of a template classifier.

The following features are supported:

- `Extended Signature`
- `Inherited Parameter`
- `Classifier`

See Also:
  `UMLPackage.getRedefinableTemplateSignature()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Classifier` `getClassifier()` Returns the value of the 'Classifier' reference.
`RedefinableTemplateSignature` `getExtendedSignature(java.lang.String name)` Retrieves the first `RedefinableTemplateSignature` with the specified 'Name' from the 'Extended Signature' reference list
`RedefinableTemplateSignature` `getExtendedSignature(java.lang.String name, boolean ignoreCase)` Retrieves the first `RedefinableTemplateSignature` with the specified 'Name' from the 'Extended Signature' reference list
`org.eclipse.emf.common.util.EList<RedefinableTemplateSignature>` `getExtendedSignatures()` Returns the value of the 'Extended Signature' reference list.
`org.eclipse.emf.common.util.EList<TemplateParameter>` `getInheritedParameters()` Returns the value of the 'Inherited Parameter' reference list.
`boolean` `validateInheritedParameters(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The inherited parameters are the parameters of the extended template signature.

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateSignature
`createOwnedParameter, createOwnedParameter, getOwnedParameters, getParameters, getTemplate, setTemplate, validateOwnElements`

Method Detail

### getExtendedSignatures

    org.eclipse.emf.common.util.EList<RedefinableTemplateSignature> getExtendedSignatures()

  Returns the value of the 'Extended Signature' reference list. The list contents are of type `RedefinableTemplateSignature`.

  This feature subsets the following features:

  - '`Redefined Element`'
  The template signature that is extended by this template signature.

  Returns:
    the value of the 'Extended Signature' reference list.
  See Also:
    `UMLPackage.getRedefinableTemplateSignature_ExtendedSignature()`

### getExtendedSignature

    RedefinableTemplateSignature getExtendedSignature(java.lang.String name)

  Retrieves the first `RedefinableTemplateSignature` with the specified 'Name' from the 'Extended Signature' reference list.

  Parameters:
    `name` - The 'Name' of the `RedefinableTemplateSignature` to retrieve, or `null`.
  Returns:
    The first `RedefinableTemplateSignature` with the specified 'Name', or `null`.
  See Also:
    `getExtendedSignatures()`

### getExtendedSignature

    RedefinableTemplateSignature getExtendedSignature(java.lang.String name,
                                                      boolean ignoreCase)

  Retrieves the first `RedefinableTemplateSignature` with the specified 'Name' from the 'Extended Signature' reference list.

  Parameters:
    `name` - The 'Name' of the `RedefinableTemplateSignature` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `RedefinableTemplateSignature` with the specified 'Name', or `null`.
  See Also:
    `getExtendedSignatures()`

### getInheritedParameters

    org.eclipse.emf.common.util.EList<TemplateParameter> getInheritedParameters()

  Returns the value of the 'Inherited Parameter' reference list. The list contents are of type `TemplateParameter`.

  This feature subsets the following features:

  - '`Parameter`'
  The formal template parameters of the extendedSignature.

  Returns:
    the value of the 'Inherited Parameter' reference list.
  See Also:
    `UMLPackage.getRedefinableTemplateSignature_InheritedParameter()`

### getClassifier

    Classifier getClassifier()

  Returns the value of the 'Classifier' reference.

  This feature subsets the following features:

  - '`Redefinition Context`'
  The classifier that owns this template signature.

  Returns:
    the value of the 'Classifier' reference.
  See Also:
    `UMLPackage.getRedefinableTemplateSignature_Classifier()`

### validateInheritedParameters

    boolean validateInheritedParameters(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

  The inherited parameters are the parameters of the extended template signature. if extendedSignature->isEmpty() then Set{} else extendedSignature.parameter endif

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.